# WOK
TKWOK
WOKernel

# WOKernel_FileType Class Reference

manages the various file types in WOK

`#include <WOKernel_FileType.hxx>`

## Public Member Functions

Standard_EXPORT | WOKernel_FileType ()
Standard_EXPORT | WOKernel_FileType (const Handle(TCollection_HAsciiString)&aname, const EDL_Template &atemplate)
const Handle_TCollection_HAsciiString & | Name () const
const EDL_Template & | Template () const
Standard_EXPORT Handle_TCollection_HAsciiString | ComputePath (const WOKUtils_Param &params, const Handle(TCollection_HAsciiString)&afilename)
| Computes a path using a format and parameters Supposes that WOKernel_FileTypeBase::SetNeededArguments was called Before use. .
Standard_EXPORT Handle_TCollection_HAsciiString | GetDefinition () const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetArguments () const
Standard_EXPORT void | SetStationDependent ()
Standard_EXPORT void | UnSetStationDependent ()
Standard_Boolean | IsStationDependent () const
Standard_EXPORT void | SetDBMSDependent ()
Standard_EXPORT void | UnSetDBMSDependent ()
Standard_Boolean | IsDBMSDependent () const
Standard_EXPORT void | SetNestingDependent ()
Standard_EXPORT void | UnSetNestingDependent ()
Standard_Boolean | IsNestingDependent () const
Standard_EXPORT void | SetEntityDependent ()
Standard_EXPORT void | UnSetEntityDependent ()
Standard_Boolean | IsEntityDependent () const
Standard_EXPORT void | SetFileDependent ()
Standard_EXPORT void | UnSetFileDependent ()
Standard_Boolean | IsFileDependent () const
Standard_EXPORT void | Directory ()
Standard_EXPORT void | File ()
Standard_Boolean | IsFile () const
Standard_Boolean | IsDirectory () const
Standard_EXPORT Handle_TCollection_HAsciiString | GetDirectory (const WOKUtils_Param &params)
Standard_EXPORT Handle_TCollection_HAsciiString | GetFile (const WOKUtils_Param &params)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | GetDependency ()
| calculates Station and DBMS dependency for Type

## Private Attributes

Handle_TCollection_HAsciiString | myname
EDL_Template | mytemplate
Standard_Boolean | mystationdep
Standard_Boolean | mydbmsdep
Standard_Boolean | mynestingdep
Standard_Boolean | myentitydep
Standard_Boolean | myfiledep
Standard_Boolean | myisrep

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_FileType::WOKernel_FileType | ( |  | ) |

Standard_EXPORT WOKernel_FileType::WOKernel_FileType | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const EDL_Template & | atemplate
| ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_FileType::ComputePath | ( | const WOKUtils_Param & | params,
|  | const Handle(TCollection_HAsciiString)& | afilename
| ) |

Standard_EXPORT void WOKernel_FileType::Directory | ( |  | ) |

Standard_EXPORT void WOKernel_FileType::File | ( |  | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_FileType::GetArguments | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_FileType::GetDefinition | ( |  | ) | const

Standard_EXPORT void WOKernel_FileType::GetDependency | ( |  | ) | `[private]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_FileType::GetDirectory | ( | const WOKUtils_Param & | params | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_FileType::GetFile | ( | const WOKUtils_Param & | params | ) |

Standard_EXPORT const WOKernel_FileType::Handle | ( | Standard_Type |  | ) | const

Standard_Boolean WOKernel_FileType::IsDBMSDependent | ( |  | ) | const`[inline]`

Standard_Boolean WOKernel_FileType::IsDirectory | ( |  | ) | const`[inline]`

Standard_Boolean WOKernel_FileType::IsEntityDependent | ( |  | ) | const`[inline]`

Standard_Boolean WOKernel_FileType::IsFile | ( |  | ) | const`[inline]`

Standard_Boolean WOKernel_FileType::IsFileDependent | ( |  | ) | const`[inline]`

Standard_Boolean WOKernel_FileType::IsNestingDependent | ( |  | ) | const`[inline]`

Standard_Boolean WOKernel_FileType::IsStationDependent | ( |  | ) | const`[inline]`

const Handle_TCollection_HAsciiString& WOKernel_FileType::Name | ( |  | ) | const

Standard_EXPORT void WOKernel_FileType::SetDBMSDependent | ( |  | ) |

Standard_EXPORT void WOKernel_FileType::SetEntityDependent | ( |  | ) |

Standard_EXPORT void WOKernel_FileType::SetFileDependent | ( |  | ) |

Standard_EXPORT void WOKernel_FileType::SetNestingDependent | ( |  | ) |

Standard_EXPORT void WOKernel_FileType::SetStationDependent | ( |  | ) |

const EDL_Template & WOKernel_FileType::Template | ( |  | ) | const`[inline]`

Standard_EXPORT void WOKernel_FileType::UnSetDBMSDependent | ( |  | ) |

Standard_EXPORT void WOKernel_FileType::UnSetEntityDependent | ( |  | ) |

Standard_EXPORT void WOKernel_FileType::UnSetFileDependent | ( |  | ) |

Standard_EXPORT void WOKernel_FileType::UnSetNestingDependent | ( |  | ) |

Standard_EXPORT void WOKernel_FileType::UnSetStationDependent | ( |  | ) |

## Field Documentation

Standard_Boolean WOKernel_FileType::mydbmsdep `[private]`

Standard_Boolean WOKernel_FileType::myentitydep `[private]`

Standard_Boolean WOKernel_FileType::myfiledep `[private]`

Standard_Boolean WOKernel_FileType::myisrep `[private]`

Handle_TCollection_HAsciiString WOKernel_FileType::myname `[private]`

Standard_Boolean WOKernel_FileType::mynestingdep `[private]`

Standard_Boolean WOKernel_FileType::mystationdep `[private]`

EDL_Template WOKernel_FileType::mytemplate `[private]`

The documentation for this class was generated from the following files:

- WOKernel_FileType.hxx
- WOKernel_FileType.lxx